maffy.normalize {affy} | R Documentation

## Normalize Itensities

### Description

Normalizes feauture intensities from `AffyBatch`s

### Usage

    maffy.normalize(data,subset,verbose=FALSE,span=0.25,family="symmetric",log.it=TRUE)

### Arguments

`data` | an matrix of intensities.
`subset` | a vector of indexes describing which probes to use for normalising.
`verbose` | logical value.
`span` | See `loess`.
`family` | See `loess`.
`log.it` | logical value.

### Details

Please refer to references.

### Value

The normalized intensities.

### Author(s)

Magnus Astrand

### References

Astrand, M. (2003) http://www.math.chalmers.se/~magnusaa/maffy/

### See Also

`maffy.subset`

### Examples

    if (require(affydata)) {
      data(Dilution)
      x <- pm(Dilution)[1:2000,1:3]
      mva.pairs(x)
      x <- maffy.normalize(x,subset=1:nrow(x))
      mva.pairs(x)
    }

[Package affy version 1.22.1 Index]